TourManager (tour-manager 1.0.0-4.2.1-128328 API)
Date: 2017-02-09

org.gcube.portal.TourManager

## Interface TourManager

- All Known Implementing Classes:
    TourManagerImpl

      public interface TourManager

  The tour manager library interface. Please note that in order to handle guided tours, liferay's custom fields are used.
  Author:
    Costantino Perciante at ISTI-CNR (costantino.perciante@isti.cnr.it)

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isTourShowable(String callerIdentifier, int versionNumber, String currentUser)` Check if a given tour can be shown or not.
    `void` | `setShowNextTime(String callerIdentifier, int versionNumber, boolean show, String currentUser)` This function is invoked to request a specific action to take (@see the show value) the next time the user will see the tour uniquely identified by the couple {callerIdentifier, versionNumber}.

- - ### Method Detail

    - #### setShowNextTime

          void setShowNextTime(String callerIdentifier,
                               int versionNumber,
                               boolean show,
                               String currentUser)

      This function is invoked to request a specific action to take (@see the show value) the next time the user will see the tour uniquely identified by the couple {callerIdentifier, versionNumber}.
      Parameters:
        `callerIdentifier` - is the unique identifier of the portlet (e.g. its name or the name of the servlet it contains, if any)
        `versionNumber` - is the unique version number for the tour
        `show` - a boolean value to show or not the tour
        `currentUser` - the user name of the user involved.

    - #### isTourShowable

          boolean isTourShowable(String callerIdentifier,
                                 int versionNumber,
                                 String currentUser)
                          throws com.liferay.portal.kernel.exception.PortalException,
                                 com.liferay.portal.kernel.exception.SystemException,
                                 Exception

      Check if a given tour can be shown or not.
      Parameters:
        `callerIdentifier` - is the unique identifier of the portlet (e.g. the name of the portlet or the name of the servlet it contains, if any)
        `versionNumber` - is the unique version number for the tour
        `currentUser` - the user name of the user involved.
      Returns:
        true if it can be shown, false otherwise
      Throws:
        `com.liferay.portal.kernel.exception.PortalException`
        `com.liferay.portal.kernel.exception.SystemException`
        `Exception`

Copyright © 2017. All Rights Reserved.